#include <iostream>
#include <string>
using namespace std;


string najveci(string a,string b)
{
    for(int i=0;i<a.length();i++)
    {
        if(a[i]>b[i])return a;
        if(a[i]<b[i])return b;
    }
    return a;
}



int main()
{
    long long a,b,c;
    cin>> a>>b>>c;

    string p="";
    p=to_string(a)+to_string(b)+to_string(c);

    string d="";
    d=to_string(a)+to_string(c)+to_string(b);

    string t="";
    t=to_string(b)+to_string(a)+to_string(c);

    string cet="";
    cet=to_string(b)+to_string(c)+to_string(a);

    string pet="";
    pet=to_string(c)+to_string(b)+to_string(a);

    string s="";
    s=to_string(c)+to_string(a)+to_string(b);


    cout<<najveci(max(max(max(max((p),(d)),(t)),(cet)),(pet)),(s))<<endl;


    return 0;
}